@import 'styles/main.scss';

.page {
  &__container {
    max-width: 1280px;
    margin: 56px auto 0;
    padding: 0 16px;
    background: url(/images/dog_bg.png);
    background-repeat: no-repeat;
    background-position: bottom right;
    background-size: 700px;
  }

  &__row {
    display: flex;
    flex-wrap: wrap;
    gap: 64px;
    justify-content: space-between;
  }

  &__baseInfoWrapper {
    display: flex;
    gap: 32px;
  }

  &__userPhoto {
    position: relative;
    width: 180px;
    height: 180px;
    object-fit: cover;
    border-radius: 8px;
  }

  &__baseInfo {
    display: flex;
    flex-direction: column;

    > *:first-child {
      color: $text-primary;
    }

    > *:not(:first-child) {
      color: $text-dark-gray;
    }
  }

  &__actions {
    display: flex;
    gap: 16px;
  }

  &__action {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 56px;
    width: 56px;
    background: $light-green;
    border-radius: 8px;

    &:hover {
      background: $primary;
    }
  }

  &__photoAction {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 40px;
    width: 40px;
    background: $light-green;
    border-radius: 8px;

    &:hover {
      background: $primary;
    }
  }

  &__photoActionIcon {
    width: 32px;
    height: 32px;
  }

  &__userPhotoWrapper {
    position: relative;

    &:hover {
      .page {
        &__userPhotoOverlay {
          opacity: 1;
          pointer-events: all;
        }
      }
    }
  }

  &__userPhotoOverlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 180px;
    width: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #00000099;
    border-radius: 8px;
    pointer-events: none;
    transition: 0.3s ease all;
    opacity: 0;
    gap: 12px;
  }

  &__modalActions {
    display: flex;
    gap: 16px;
    justify-content: center;
    margin-top: 16px;
  }

  &__modal {
    display: flex;
    justify-content: center;
    min-width: 573px;
  }

  &__modalForm {
    align-items: center;
    width: 100%;
    max-width: 344px;

    > label {
      width: 100%;
    }
  }

  &__text--green {
    color: $dark-green;
  }



  &__row {
    margin-bottom: 40px;

    &:last-child {
      margin-bottom: 20px;
    }

    &:nth-child(2) {
      gap: 32px;
    }
  }

  &__spacer {
    flex: 1;
  }

  &__courseSelector {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    height: 420px;
    align-self: flex-end;
  }

  &__courseSelectorCard {
    display: flex;
    flex-direction: column;
    background: #FCFCFC;
    border: 1px solid #E7E7E7;
    border-radius: 8px;
    padding: 24px 24px 32px;
    gap: 24px;
    >span {
      text-align: center;
    }
  }

  &__studentProgressbarWrapper {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-top: 16px;
  }

  &__studentProgressbarInfo {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
  }

  &__studentProgressbar {
    width: 388px;
    height: 14px;
    -webkit-appearance: none;
    appearance: none;

    &::-webkit-progress-bar {
      background: $background-dark-white;
      border-radius: 8px;
    }
    
    &::-webkit-progress-value {
      background: $primary;
      border-radius: 8px;
    }
    
    &::-moz-progress-bar {
      background: red;
    }
  }

  &__studentsProgressCardWrapper {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 16px;
    width: 422px;
  }

  &__studentsProgressCard {
    display: block;
    background: $background-light;
    border: 1px solid $background-dark-white;
    min-height: 420px;
    border-radius: 8px;
    width: 100%;
  }
}

@media screen and (max-width: 1279px) {
  .page{
    &__courseSelector {
      order: -1;
      flex-basis: 100%;
      height: auto;

      >* {
        width: 320px;
        margin-left: auto;
      }
    }

    &__studentsProgressCardWrapper {
      justify-content: flex-start;
    }

    &__container {
      background: url(/images/dog_bg.png);
      background-repeat: no-repeat;
      background-position: left center;
      background-size: 600px;
    }
  }
}